Summary:	BPG image format plugin for Qt6
Name:		bpg-imageformat-qt6
Version:	1.0
Release:	1%{?dist}
License:	GPLv2+
URL:		http://vr5.narod.ru/bpg
Source0:	bpg-imageformat-qt5-1.1.tar.gz
Source1:	libbpg-0.9.8.tar.gz
Patch0:		makefile.patch
Patch1:		config.h.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qt6-qtbase-gui xdg-utils
BuildRequires:	qt6-qtbase-devel


%description 
BPG image format plugin for Qt provides read-only access to BPG images (they can be opened via QImage class, for example)

%prep
%setup -c -n %{name} -a 1

cd libbpg-0.9.8
%patch -P 0 -p1
%patch -P 1 -p1

%build
cd libbpg-0.9.8
make libbpg.a

cd ../bpg-imageformat-qt5
export BPGLIB_PATH=../libbpg-0.9.8 BPGINC_PATH=../libbpg-0.9.8
qmake6
make

%install 
install -D bpg-imageformat-qt5/libbpg.so $RPM_BUILD_ROOT%{_libdir}/qt6/plugins/imageformats/libbpg.so
install -D bpg-imageformat-qt5/bpg.desktop $RPM_BUILD_ROOT/usr/share/kservices6/qimageioplugins/bpg.desktop
install -D bpg-imageformat-qt5/xdg-bpg.xml %{buildroot}/usr/share/%{name}-%{version}/xdg-bpg.xml

%post
xdg-mime install /usr/share/%{name}-%{version}/xdg-bpg.xml

%files 
%defattr(0644,root,root)
%attr(0755,root,root) %{_libdir}/qt6/plugins/imageformats/libbpg.so
/usr/share/kservices6/qimageioplugins/bpg.desktop
/usr/share/%{name}-%{version}/xdg-bpg.xml

%clean 
rm -rf %{buildroot}

%changelog 
*Fri Dec 6 2024 Vad Rulezz <vr5@yandex.ru> - 1.0
- Initial Package of bpg-imageformat-qt6


